Glib::Value< Glib::RefPtr< T > > Class Template Reference
Generic Values

Partial specialization for RefPtr<> to Glib::Object. More...

`#include <glibmm/value.h>`

Inheritance diagram for Glib::Value< Glib::RefPtr< T > >:
[legend]

## Public Types

typedef Glib::RefPtr< T > | CppType
typedef T::BaseObjectType* | CType

## Public Member Functions

void | set (const CppType& data)
CppType | get () const

## Static Public Member Functions

static GType | value_type ()
Static Public Member Functions inherited from Glib::ValueBase_Object
static GType | value_type ()

## Additional Inherited Members

Protected Member Functions inherited from Glib::ValueBase_Object
void | set_object (Glib::ObjectBase* data)
Glib::ObjectBase* | get_object () const
Glib::RefPtr< Glib::ObjectBase > | get_object_copy () const
Protected Attributes inherited from Glib::ValueBase
GValue | gobject_

## Detailed Description

### template<class T>
class Glib::Value< Glib::RefPtr< T > >

Partial specialization for RefPtr<> to Glib::Object.

## Member Typedef Documentation

template <class T >

typedef Glib::RefPtr<T> Glib::Value< Glib::RefPtr< T > >::CppType

template <class T >

typedef T::BaseObjectType* Glib::Value< Glib::RefPtr< T > >::CType

## Member Function Documentation

template <class T >

CppType Glib::Value< Glib::RefPtr< T > >::get | ( |  | ) | const

inline

template <class T >

void Glib::Value< Glib::RefPtr< T > >::set | ( | const CppType& | data | ) |

inline

template <class T >

static GType Glib::Value< Glib::RefPtr< T > >::value_type | ( |  | ) |

inlinestatic